Bug 1589423 - nemo crash
Summary: nemo crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-09 07:15 UTC by Turgut Kalfaoglu
Modified: 2018-06-12 16:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-09 07:22:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Turgut Kalfaoglu 2018-06-09 07:15:12 UTC
Description of problem:

when I copy a file from one folder to another, there is an 80% chance of nemo crashing.

Version-Release number of selected component (if applicable):


How reproducible:
Almost every time

Steps to Reproduce:
1. Select a file, right click and select copy
2. Go to another folder, right click paste.
3. Boum.

Actual results:


Expected results:


Additional info:

Here is a log of what happens during this crash:

[turgut@tklaptop ~]$ nemo
** Message: 10:08:22.701: Init Stock Icons
Gdk-Message: 10:08:34.068: Window 0x5626b8b78ca0 is a temporary window without parent, application will not be able to position it on screen.
Gdk-Message: 10:08:34.068: Window 0x5626b8b78ca0 is a temporary window without parent, application will not be able to position it on screen.

(nemo:62245): Gdk-CRITICAL **: 10:08:34.077: gdk_wayland_window_handle_configure_popup: assertion 'impl->transient_for' failed
[NULL @ 0x56180b890ec0] Failed to parse extradata
[NULL @ 0x56180b890ec0] Failed to parse extradata
Gdk-Message: 10:08:38.300: Window 0x5626b89c6970 is a temporary window without parent, application will not be able to position it on screen.
Gdk-Message: 10:08:38.300: Window 0x5626b89c6970 is a temporary window without parent, application will not be able to position it on screen.

(nemo:62245): Gdk-CRITICAL **: 10:08:38.306: gdk_wayland_window_handle_configure_popup: assertion 'impl->transient_for' failed

(nemo:62245): Gdk-WARNING **: 10:08:41.781: gdkwindow-x11.c:5579 drawable is not a native X11 window



Segmentation fault (core dumped)
[turgut@tklaptop ~]$ 
[turgut@tklaptop ~]$ 
[turgut@tklaptop ~]$

Comment 1 leigh scott 2018-06-09 07:25:57 UTC
Add your info to https://github.com/linuxmint/nemo/issues/1802

Comment 2 Turgut Kalfaoglu 2018-06-09 09:10:38 UTC
Thanks. I just did.

Comment 3 Fedora Update System 2018-06-10 21:44:32 UTC
xapps-1.2.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-607e45bd4c

Comment 4 Fedora Update System 2018-06-11 16:32:18 UTC
xapps-1.2.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-607e45bd4c

Comment 5 Fedora Update System 2018-06-12 16:04:22 UTC
xapps-1.2.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.